Policy Change: Sage Accpac Supported Versions

With the release of Version 5.6, Sage will now support the current version of Sage Accpac PLUS 2 versions back. This reflects a change in policy that provides you with more time to adopt new releases. As such, product support, payroll updates and hot fixes are currently available for Versions 5.6, 5.5, and 5.4.

Bookmark and Share
This entry was posted in January 2010, Newsletter and tagged , , . Bookmark the permalink.

Leave a Reply

Your email address will not be published. Required fields are marked *

*

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>